View Issue Details

IDProjectCategoryView StatusLast Update
0003974Talerwallet (WebExtensions)public2017-06-06 14:18
ReporterChristian GrothoffAssigned ToFlorian Dold 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Version0.0 
Target Version0.3Fixed in Version0.3 
Summary0003974: wallet needs to securely inform customer about exchange's auditors
DescriptionThe wallet can get information about the mint's auditors and price structure securely by querying /keys. This information needs to be made available to the customer during (or before) the withdraw process, so that the customer can check if he wants to do business with the mint.

For example, the wallet may have a list of auditors the user is happy with (and we might hard-code a few to begin with); but the user should be able to add additional auditors/merchants manually, and inspect the cost structure before deciding to do business with a particular mint.
TagsNo tags attached.

Relationships

related to 0004097 closed Show mint fee structure in reserve creation dialog 
related to 0004122 closedFlorian Dold auditor manipulation 

Activities

Florian Dold

2017-04-28 23:47

manager   ~0012084

Implemented in 0003973.

The page shown when withdrawing now says whether the exchange is audited or trusted, and if not shows a warning. If we still withdraw, the exchange will be added as "trusted".

The trusted exchanges/auditors can be added via a page linked on the balance popup.

Furthermore the exchange selection is simplified now, and information about the exchange's auditors is shown.

Issue History

Date Modified Username Field Change
2015-09-17 14:21 Christian Grothoff New Issue
2015-09-17 14:21 Christian Grothoff Status new => assigned
2015-09-17 14:21 Christian Grothoff Assigned To => Marcello Stanisci
2015-11-17 14:17 Christian Grothoff Assigned To Marcello Stanisci => tg
2015-11-17 15:15 Christian Grothoff Target Version 0.3 => 0.2
2015-12-17 15:51 Christian Grothoff Relationship added related to 0004097
2016-01-22 23:28 Christian Grothoff Category wallet (browser-based) => wallet (WebExtensions)
2016-03-01 14:46 Christian Grothoff Assigned To tg => Florian Dold
2016-03-20 21:53 Torsten Grothoff Issue cloned: 0004274
2016-10-08 00:26 Christian Grothoff Target Version 0.2 => 0.3
2016-10-08 00:26 Christian Grothoff Summary wallet needs to securely inform customer about mint's auditors => wallet needs to securely inform customer about exchange's auditors
2017-01-13 16:14 Christian Grothoff Relationship added related to 0004122
2017-04-28 23:47 Florian Dold Status assigned => resolved
2017-04-28 23:47 Florian Dold Resolution open => fixed
2017-04-28 23:47 Florian Dold Note Added: 0012084
2017-05-03 02:16 Christian Grothoff Fixed in Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed